aboutsummaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/ci/scripts/container_webtest.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/ci/scripts/container_webtest.sh b/src/ci/scripts/container_webtest.sh
index 90dbc45be..eae366e50 100755
--- a/src/ci/scripts/container_webtest.sh
+++ b/src/ci/scripts/container_webtest.sh
@@ -70,6 +70,11 @@ function print_usage() {
echo "Starts or stops the container. Builds the images if necessary"
}
+echo "Date: $(date)"
+docker ps
+echo "netstat"
+netstat -anp |grep 4444
+
if [ "${START_ARG}" == "start" ]; then
IMG=`docker images -q ${TAG}`
# Build the image, if it does not exist
@@ -104,6 +109,11 @@ if [ "${START_ARG}" == "start" ]; then
RES=$?
done
docker logs "${INSTANCE_NAME}"
+ echo "netstat: "
+ netstat -anp |grep 4444
+ echo "Trying curl on Webdriver port: "
+ curl "http://localhost:4444/wd/hub"
+ echo "Result: "$?
elif [ "${START_ARG}" == "stop" ]; then
docker logs "${INSTANCE_NAME}"
stop_instance